from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XScenario(XInterface, Protocol):
    def getIsScenario(self) -> bool: ...
    def getScenarioComment(self) -> str: ...
    def setScenarioComment(self, aScenarioComment: str) -> None: ...
    def addRanges(self, aRanges: CellRangeAddress >) -> None: ...
    def apply(self) -> None: ...
